Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.execution 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.execution
Class ExecutorTask

    java.lang.Object
      org.openide.util.Task
          org.openide.execution.ExecutorTask

All Implemented Interfaces:
  Runnable

    public abstract class ExecutorTask

extends Task

A task object that represents an asynchronously running execution task. Module authors do not typically need to subclass this.

Field Summary

Fields inherited from class org.openide.util.Task
`EMPTY`

Constructor Summary
`protected` | `ExecutorTask(Runnable run)` Create the task.

Method Summary
`abstract InputOutput` | `getInputOutput()`
`abstract int` | `result()` Check the result of execution.
`abstract void` | `stop()` Stop the computation.

Methods inherited from class org.openide.util.Task
`addTaskListener, isFinished, notifyFinished, notifyRunning, removeTaskListener, run, toString, waitFinished, waitFinished`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutorTask

    protected ExecutorTask(Runnable run)

  Create the task.

  Parameters:
    `run` - runnable to run that computes the task

Method Detail

### stop

    public abstract void stop()

  Stop the computation.

### result

    public abstract int result()

  Check the result of execution. If the execution is not finished, the calling thread is blocked until it is.

  Returns:
    the result of execution. Zero means successful execution; other numbers may indicate various error conditions.

### getInputOutput

    public abstract InputOutput getInputOutput()

  Returns:
    InputOutput assigned to this process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.execution 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.